GlueGen: com.jogamp.gluegen.cgram.types.AliasedSymbol.NoneAliasedSymbol Class Reference

GlueGen v2.6.0-rc-20250712 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | List of all members
com.jogamp.gluegen.cgram.types.AliasedSymbol.NoneAliasedSymbol Class Reference
Inheritance diagram for com.jogamp.gluegen.cgram.types.AliasedSymbol.NoneAliasedSymbol:
Collaboration diagram for com.jogamp.gluegen.cgram.types.AliasedSymbol.NoneAliasedSymbol:

## Public Member Functions

| NoneAliasedSymbol (final String origName)
void | rename (final String newName)
| Rename this symbol with the given `newName` if not equal `current-name`. More...
void | addAliasedName (final String origName)
| Add the given `origName` to the list of `aliases` if not equal `current-name`. More...
boolean | hasAliases ()
| Returns `true` if this symbol has aliases, i.e. More...
Set< String > | getAliasedNames ()
| Return all aliases for this symbol, i.e. More...
String | getOrigName ()
| Return the original-name as set at creation. More...
String | getName ()
| Return the current-name, which is the last `renamed-name` if issued, or the `original-name`. More...
String | getAliasedString ()
| Return this object's `toString()` wrapped w/ the `current-name` and all `aliases`. More...
void | rename (final String newName)
| Rename this symbol with the given `newName` if not equal `current-name`. More...
void | addAliasedName (final String origName)
| Add the given `origName` to the list of `aliases` if not equal `current-name`. More...
boolean | hasAliases ()
| Returns `true` if this symbol has aliases, i.e. More...
Set< String > | getAliasedNames ()
| Return all aliases for this symbol, i.e. More...
String | getOrigName ()
| Return the original-name as set at creation. More...
String | getName ()
| Return the current-name, which is the last `renamed-name` if issued, or the `original-name`. More...
String | getAliasedString ()
| Return this object's `toString()` wrapped w/ the `current-name` and all `aliases`. More...

## Detailed Description

Definition at line 150 of file AliasedSymbol.java.

## Constructor & Destructor Documentation

## ◆ NoneAliasedSymbol()

com.jogamp.gluegen.cgram.types.AliasedSymbol.NoneAliasedSymbol.NoneAliasedSymbol | ( | final String | origName | ) |

Definition at line 153 of file AliasedSymbol.java.

## Member Function Documentation

## ◆ addAliasedName()

void com.jogamp.gluegen.cgram.types.AliasedSymbol.NoneAliasedSymbol.addAliasedName | ( | final String | origName | ) |

Add the given `origName` to the list of `aliases` if not equal `current-name`.

Operation will be ignored if `newName` is `null`.

Parameters

  origName | the new alias to be added, maybe `null`

Implements com.jogamp.gluegen.cgram.types.AliasedSymbol.

Definition at line 161 of file AliasedSymbol.java.

## ◆ getAliasedNames()

Set< String > com.jogamp.gluegen.cgram.types.AliasedSymbol.NoneAliasedSymbol.getAliasedNames | ( |  | ) |

Return all aliases for this symbol, i.e.

original names, for this symbol.

Inclusive `original-name`, if `renamed`,

Exclusive `current-name`.

May return `null` or a zero sized `Set` for no aliases.

Implements com.jogamp.gluegen.cgram.types.AliasedSymbol.

Definition at line 169 of file AliasedSymbol.java.

## ◆ getAliasedString()

String com.jogamp.gluegen.cgram.types.AliasedSymbol.NoneAliasedSymbol.getAliasedString | ( |  | ) |

Return this object's `toString()` wrapped w/ the `current-name` and all `aliases`.

Implements com.jogamp.gluegen.cgram.types.AliasedSymbol.

Definition at line 181 of file AliasedSymbol.java.

## ◆ getName()

String com.jogamp.gluegen.cgram.types.AliasedSymbol.NoneAliasedSymbol.getName | ( |  | ) |

Return the current-name, which is the last `renamed-name` if issued, or the `original-name`.

Implements com.jogamp.gluegen.cgram.types.AliasedSymbol.

Definition at line 177 of file AliasedSymbol.java.

## ◆ getOrigName()

String com.jogamp.gluegen.cgram.types.AliasedSymbol.NoneAliasedSymbol.getOrigName | ( |  | ) |

Return the original-name as set at creation.

Implements com.jogamp.gluegen.cgram.types.AliasedSymbol.

Definition at line 173 of file AliasedSymbol.java.

## ◆ hasAliases()

boolean com.jogamp.gluegen.cgram.types.AliasedSymbol.NoneAliasedSymbol.hasAliases | ( |  | ) |

Returns `true` if this symbol has aliases, i.e.

either being `renamed` or `aliases-added`.

Otherwise `false` is being returned.

Implements com.jogamp.gluegen.cgram.types.AliasedSymbol.

Definition at line 165 of file AliasedSymbol.java.

## ◆ rename()

void com.jogamp.gluegen.cgram.types.AliasedSymbol.NoneAliasedSymbol.rename | ( | final String | newName | ) |

Rename this symbol with the given `newName` if not equal `current-name`.

Before renaming the `current-name` will be added to the list of `aliases`. while the given `newName` will be removed.

Operation will be ignored if `newName` is `null`.

Parameters

  newName | the new `current-name`, maybe `null`

Implements com.jogamp.gluegen.cgram.types.AliasedSymbol.

Definition at line 157 of file AliasedSymbol.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/cgram/types/AliasedSymbol.java